corda / net.corda.node.driver / ShutdownManager

# ShutdownManager

`class ShutdownManager`

### Constructors

<init> | `ShutdownManager(executorService: ExecutorService)`

### Functions

registerProcessShutdown | `fun registerProcessShutdown(processFuture: ListenableFuture<Process>): Unit`
registerShutdown | `fun registerShutdown(shutdown: ListenableFuture<() -> Unit>): Unit`
shutdown | `fun shutdown(): Unit`